import React from 'react'
import Container from '../Base/Container'
import BaseImage from '../Base/BaseImage'
import Heading from '../Base/Heading'
import Button from '../Base/Button'

export default function ProcessCard() {
    return (
        <Container>
            <div className='flex flex-col md:flex-row items-center justify-center w-full'>
                <div className='flex justify-center lg:justify-start md:w-1/2'>
                    <BaseImage
                        src='/assets/images/abtsec.png'
                        height={500}
                        width={500}
                        alt='homebanner2'
                        className='object-cover'
                        style={{ objectFit: 'cover' }}
                    />
                </div>
                <div className='flex flex-col items-center md:items-start md:w-1/2 w-3/4 space-y-4'>
                    <div className='text-center md:text-left'>
                        <Heading level={3} className='text-2xl sm:text-2xl md:text-3xl lg:text-4xl xl:text-5xl text-black'>Dating for Grown Ups</Heading>
                        <Heading level={3} className='text-2xl sm:text-2xl md:text-3xl lg:text-4xl xl:text-5xl text-black'><span className='text-primary'>Make a Real</span> Connection</Heading>
                    </div>
                    <p className='text-[#20202080] text-center md:text-left'>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries</p>
                    <Button title='Get Started' className='bg-[#1A1A1A] text-white rounded-full px-6 hover:bg-primary' />
                </div>
            </div>
            <div className='flex flex-col justify-center mb-24'>
                <Heading level={3} className='items-center text-center mt-12 mb-8 text-xl sm:text-2xl md:text-3xl lg:text-4xl xl:text-5xl text-black'>The No.1 <span className='text-primary'>Trusted Dating</span> Site</Heading>
                <div className='grid grid-cols-1 lg:grid-cols-4 space-x-6 space-y-10 lg:space-y-0 items-center text-center'>
                    <div className='col-span-1 flex flex-col items-center text-center space-y-6 transform transition-transform hover:scale-105 duration-300'>
                        <BaseImage
                            src='/assets/images/srvsec31.png'
                            height={100}
                            width={100}
                            alt='homebanner2'
                            className='object-cover'
                        />
                        <div>
                            <Heading level={2} className='font-normal'>Awesome Community</Heading>
                            <p className='text-[#20202080]'>Caramels pie cake pie marshmallow soufflé donut biscuit.</p>
                        </div>
                    </div>
                    <div className='col-span-1 flex flex-col items-center text-center space-y-6 transform transition-transform hover:scale-105 duration-300'>
                        <BaseImage
                            src='/assets/images/srvsec32.png'
                            height={100}
                            width={100}
                            alt='homebanner2'
                            className='object-cover'
                        />
                        <div>
                            <Heading level={2} className='font-normal'>Million Members</Heading>
                            <p className='text-[#20202080]'>Caramels pie cake pie marshmallow soufflé donut biscuit.</p>
                        </div>
                    </div>
                    <div className='col-span-1 flex flex-col items-center text-center space-y-6 transform transition-transform hover:scale-105 duration-300'>
                        <BaseImage
                            src='/assets/images/srvsec33.png'
                            height={100}
                            width={100}
                            alt='homebanner2'
                            className='object-cover'
                        />
                        <div>
                            <Heading level={2} className='font-normal'>Private chats</Heading>
                            <p className='text-[#20202080]'>Caramels pie cake pie marshmallow soufflé donut biscuit.</p>
                        </div>
                    </div>
                    <div className='col-span-1 flex flex-col items-center text-center space-y-6 transform transition-transform hover:scale-105 duration-300'>
                        <BaseImage
                            src='/assets/images/srvsec34.png'
                            height={100}
                            width={100}
                            alt='homebanner2'
                            className='object-cover'
                        />
                        <div>
                            <Heading level={2} className='font-normal'>Friendly Forums</Heading>
                            <p className='text-[#20202080]'>Caramels pie cake pie marshmallow soufflé donut biscuit.</p>
                        </div>
                    </div>
                </div>
            </div>
        </Container>
    )
}
